LFR-FSW - Bug #57

TC_LFR_LOAD_NORMAL_PAR renvoie TM_LFR_TC_EXE_NOT_IMPLEMENTED si
SY LFR_N_SWF_L <> default value

19/02/2014 05:31 PM - Gerald Saule

Status: Closed Start date: 19/02/2014
Priority: Immediate Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ri14

Description

Pour TC_LFR_LOAD_NORMAL_PAR, SY_LFR_N_SWF_L affecté conformément & Bug #816 (SY_LFR_N_SWF_L: >=16, multiple
de 16, <= 2048), mais différent de la valeur par défaut (2048).
L'acquittement retourne TM_LFR_TC_EXE_NOT_IMPLEMENTED (excepté en NORMAL).

16:44:52.151797, TC_LFR_LOAD_NORMAL_PAR, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TC_PACKET = 1,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET _CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=830, (PACKET_SEQUENCE_CONTROL=0xc33e), PACKET LENGTH=15,
CCSDS_SECONDARY_HEADER FLAG=0, PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=0,
ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0, ACK_ACCEPTANCE=0, SERVICE_TYPE:
EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: LOAD_NORMAL_PARAMETERS_1 = 13, SOURCE_ID:
TC_SEQUENCES = 111, SY_LFR_N_SWF_L = 16, SY_LFR_N_SWP_P = 300(s), SY_LFR_N_ASM_P = 3600(s),
SY_LFR_N_BP_PO = 4(s), SY_LFR_N_BP_P1 = 20(s), SPARE=0x0, SY_LFR_N_CWF_LONG_F3 = 1, SPARE=0x0, CRC =
0x4b87

16:44:52.15462, TM_LFR_TC_EXE_NOT_IMPLEMENTED, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET
= 0, DATA FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY:
ACKNOWLEDGE = 1, (PACKET _ID=0xcc1), SEGMENTATION GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=228, (PACKET_SEQUENCE_CONTROL=0xcOe4), PACKET_LENGTH=17, SPARE_1=0, PUS_VERSION
- 1, SPARE_2-0, SERVICE_TYPE: TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE:
TC_EXECUTION_COMPLETION_FAILURE = 8, DESTINATION_ID: TC_SEQUENCES = 111, TIME=0x80016c046b62,
PA_RPW_TC_FAILURE_CODE: FUNCT_NOT_IMPL = 42002, PA_RPW_TELECOMMAND_PKT _ID=0x1ccc,
PA_RPW_PKT_SEQ CONTROL=0xc33e, PA_RPW_TC_SERVICE=181, PA_ RPW_TC_SUBTYPE=13

(Cette issue reprend Bug #835 de pc-instru)
Contexte:

LPPMON Version=0.2.2 Branch=default Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série lll (sans connecteurs sub-click)
Vhdl: mini-lfr_0.0.0.15

Soft: 1.0.0.1 (variante sur carte finale)

Brique Star-Dundee S/N 46120065.

TEST CASE = SVS_0001_step03

RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev0
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev1

History

#1 - 04/03/2014 12:35 PM - paul leroy

- Status changed from New to In Progress

Pour l'instant la possibilité de modifier a la baisse la taille des snapshots n'est pas implémentée. Le fonctionnement nominal avec les parametres par
défaut reste I'objectif principal.

#2 - 10/04/2014 04:18 PM - Gerald Saule
- revision changed from r98 to r114

Reproduit dans le contexte ci dessous.

Contexte:

LPPMON: Version=0.2.2 Branch=default Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série Ill (sans connecteurs sub-click)
Vhdl: mini-Ilfr_0.1.9

Brique Star-Dundee S/N <illisible>.

Soft:1.0.0.5 (variante sur carte finale)

TEST CASE = SVS_0001_step03 , SVS-0073
Req = SSS-CP-EQS-431

RPW-SYS-IDB-00067-LES_Issue2_Rev2
RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev2
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev2

#3 - 16/06/2014 02:46 PM - bruno katra

- Priority changed from Normal to Immediate
Toujours présent en 1.0.0.9(temp) :

#4 - 17/06/2014 07:50 AM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

La réduction de la taille des snapshots ne sera pas implémentée sur I'EM. On peut faire une mise a jour de I'lCD dans ce sens. On va reboucler avec
Thomas pour voir si c'est une fonctions indispensable, parce que ce n'est pas simple & mettre en oeuvre. En toute rigueur, il faut limiter les valeurs
autorisées du paramétre a la seule valeur 2048.

#5 - 24/06/2014 04:29 PM - Veronique bouzid

- Status changed from In Progress to Closed

J'ai vérifié ce que Paul a impléménté pour la gestion du parametre SY_LFR_N_SWF_L en rejouant le test SVS-0073
-SY_LFR_N_SWF_L =[1024,128,4096] on obtient TM_LFR_TC_EXE_INCONSISTENT

SY LFR N_SWF L =128
15:33:37.197627, TC_LFR_LOAD_NORMAL_PAR, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TC_PACKET = 1,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET _ID=0x1ccc), SEGMENTATION._GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=4544, (PACKET _SEQUENCE_CONTROL=0xd1c0), PACKET LENGTH=15, CCSDS_SECONDARY_HEADER_FLAG=0,
PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=1, ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0,
ACK_ACCEPTANCE=1, SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: LOAD_NORMAL_PARAMETERS 1 = 13,
SOURCE_ID: MISSION_TIMELINE = 110, SY_LFR_N_SWF_L =128, SY_LFR_N_SWP_P = 300(s), SY_LFR_N_ASM_P = 3600(s),
SY_LFR_N_BP_PO = 4(s), SY_LFR_N_BP_P1 = 20(s), SPARE=0x0, SY_LFR_N_CWF_LONG_F3 = 0, SPARE=0x0, CRC = 0x9156

15:33:37.292206, TM_LFR_TC_EXE_INCONSISTENT, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY: ACKNOWLEDGE = 1,
(PACKET _ID=0xcc1), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=6,
(PACKET_SEQUENCE_CONTROL=0xc006), PACKET LENGTH=19, SPARE_1=0, PUS_VERSION = 1, SPARE_2-0, SERVICE_TYPE:
TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_FAILURE = 8, DESTINATION_ID:
MISSION_TIMELINE = 110, TIME=0x80000006¢33b, PA_RPW_TC_FAILURE_CODE: WRONG_APP_DATA = 5,
PA_RPW_TELECOMMAND_PKT_ID=0x1ccc, PA_RPW_PKT_SEQ_CONTROL=0xd1c0, PA_RPW_TC_SERVICE=181,
PA_RPW_TC_SUBTYPE=13, PA_RPW_BYTE_POSITION=10, PA_ RPW_RCV_VALUE=128

SY_LFR_N_SWF_L = 4096

15:33:40.399979, TC_LFR_LOAD_NORMAL_PAR, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TC_PACKET =1,

DATA FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=11581, (PACKET_SEQUENCE_CONTROL=0xed3d), PACKET LENGTH=15, CCSDS_SECONDARY_HEADER_FLAG=0,
PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=1, ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0,
ACK_ACCEPTANCE=1, SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: LOAD_NORMAL_PARAMETERS 1 = 13,
SOURCE_ID: MISSION_TIMELINE = 110, /NSY_LFR_N_SWF_L = 4096, SY LFR_N_SWP_P = 300(s), SY_LFR_N_ASM_P = 3600(s),
SY_LFR_N_BP_PO = 4(s), SY_LFR_N_BP_P1 = 20(s), SPARE=0x0, SY_LFR_N_CWF_LONG_F3 = 0, SPARE=0x0, CRC = Oxc2ef

15:33:40.492199, TM_LFR_TC_EXE_INCONSISTENT, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: ACKNOWLEDGE = 1,
(PACKET_ID=0xcc1), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=10,
(PACKET_SEQUENCE_CONTROL=0xc00a), PACKET_LENGTH=19, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0, SERVICE_TYPE:
TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_FAILURE = 8, DESTINATION_ID:
MISSION_TIMELINE = 110, TIME=0x80000009f70b, PA_RPW_TC_FAILURE_CODE: WRONG_APP_DATA = 5,
PA_RPW_TELECOMMAND_PKT ID=0x1ccc, PA_ RPW_PKT SEQ CONTROL=0xed3d, PA_RPW_TC_SERVICE=181,
PA_RPW_TC_SUBTYPE=13, PA_ RPW _BYTE POSITION=10, PA_ RPW_RCV_VALUE=0

Remarque:

La fonction Detail ne detecte pas les valeurs 128 (SY_LFR_N_SWF_L = 128) et 1024 comme erronées au contraire de 4096 (/N\SY_LFR_N_SWF_L
=4096).

Il faudra donc une fois les regles de parametrages entérinés modifiées cette fonction.

Le point #174 traite du meme sujet.
https://hephaistos.lpp.polytechnique.fr/redmine/issues/174
